@fragment
fn fs_main(in: VertexOutput) -> @location(0) vec4<f32> {
    let global_coord: vec3<f32> = in.world_position;
    let tex = textureSample(t_diffuse, s_diffuse, in.tex_coords);
    var final_color: vec4<f32> = tex * in.color;
    return vec4(global_coord, final_color.a);
}